"Package dbus-x11 is not configured yet" error loop during Linux Mint Upgrade

You’ve just run ‘mintupgrade upgrade’

During the upgrade process your system start looping endlessly and you see many errors, but a notable one keeps on re-appearing, namely:

dpkg: error processing package gconf2 (–configure):
dependency problems – leaving triggers unprocessed
dpkg: dependency problems prevent processing triggers for gconf2:
gconf2 depends on dbus-x11; however:
Package dbus-x11 is not configured yet.

Solution:

sudo dpkg –configure -a

Now run ‘mintupgrade upgrade’ again.

Reference:

https://forums.linuxmint.com/viewtopic.php?t=276119

Share this article

Leave a Reply

Your email address will not be published.

Scroll to Top